API Reference / V2 Competition Clear event bracket Removes all rounds and matches from the bracket of a stage group. The event must be in the draft state. Requires the event.structure:manage scope, the current event revision as a strong If-Match ETag (412 on mismatch), and an Idempotency-Key header that replays the first result on retry.
POST /api/v2/events/{eventId}/bracket/clear
Parameters # Property Type Location Description eventIdstringRequired path- x-request-idstringheader- if-matchstringRequired header- idempotency-keystringRequired header-
Request # curl --request POST 'https://strave.gg/api/v2/events/EVENT_ID/bracket/clear' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 201Response for status 201
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ resourceIdstringRequired - └ revisionintegerRequired - └ updatedbooleanRequired -